Bug 1467677 - Review Request: gluster-block - A framework for gluster block storage management
Review Request: gluster-block - A framework for gluster block storage management
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 10:30 EDT by Niels de Vos
Modified: 2017-09-30 02:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-22 14:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Niels de Vos 2017-07-04 10:30:25 EDT
Spec URL: https://devos.fedorapeople.org/gluster-block/gluster-block.spec

SRPM URL: https://devos.fedorapeople.org/gluster-block/gluster-block-0.2.1-1.src.rpm

Koji scratch-build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20323991

Description: gluster-block is a CLI utility, which aims at making gluster backed block storage creation and maintenance as simple as possible.

Fedora Account System Username: devos
Comment 1 Niels de Vos 2017-09-05 07:21:34 EDT
Hi xtify21, you changed the status of this bug to ASSIGNED, but did not change the assignee. Was that an oversight? Please let me know if you are going to review this package, or if I should go and find someone else.

Thanks!
Niels
Comment 2 Robert-André Mauchin 2017-09-12 05:54:09 EDT
Hello,

I'll take over this review since there is no answer from xtify21.

 - Release should contain the dist macro:

Release:          1%{?dist}

 - Use pkgconfig when you can:

BuildRequires:    pkgconfig(glusterfs-api) >= 3.6.0
BuildRequires:    pkgconfig(json-c)

 - Use appropriate macros when you can:

make %{?_smp_mflags} → %make_build

make DESTDIR=${RPM_BUILD_ROOT} install → %make_install

 - Use the -q option with %setup to make it quiet. Alternatively, you can use "%autosetup -p1" to replace both %setup and %patch0

 - You should not include the INSTALL file in %doc



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3)", "Unknown or generated". 38 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /gluster-block/review-gluster-block/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gluster-
     block-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gluster-block-0.2.1-1.fc28.x86_64.rpm
          gluster-block-debuginfo-0.2.1-1.fc28.x86_64.rpm
          gluster-block-0.2.1-1.fc28.src.rpm
gluster-block.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
gluster-block.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
gluster-block.x86_64: W: install-file-in-docs /usr/share/doc/gluster-block/INSTALL
gluster-block.src:29: W: setup-not-quiet
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 3 Niels de Vos 2017-09-13 04:16:01 EDT
Thanks for the review comments!

I prefer to use %setup and %patch0 for now, the patch should get merged in the next upstream release so it will be dropped soon. The other recommendations have been taken into account.

The updated .spec and .src.rpm can be found here:

 - https://devos.fedorapeople.org/gluster-block/gluster-block.spec
 - https://devos.fedorapeople.org/gluster-block/gluster-block-0.2.1-2.f27.src.rpm

A new scratch build is available as well:
  https://koji.fedoraproject.org/koji/taskinfo?taskID=21837499
Comment 4 Robert-André Mauchin 2017-09-13 04:31:09 EDT
All good then, package accepted.
Comment 5 Niels de Vos 2017-09-13 06:16:01 EDT
Thanks!

The repository has been requested:
  https://pagure.io/releng/fedora-scm-requests/issue/1117
Comment 6 Gwyn Ciesla 2017-09-13 08:16:52 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gluster-block. You may commit to the branch "f27" in about 10 minutes.
Comment 7 Fedora Update System 2017-09-13 09:10:02 EDT
gluster-block-0.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba009a9b52
Comment 8 Fedora Update System 2017-09-13 10:05:51 EDT
gluster-block-0.2.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-96750182d9
Comment 9 Fedora Update System 2017-09-13 15:24:48 EDT
gluster-block-0.2.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ba009a9b52
Comment 10 Fedora Update System 2017-09-14 00:53:07 EDT
gluster-block-0.2.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-96750182d9
Comment 11 Fedora Update System 2017-09-22 14:51:46 EDT
gluster-block-0.2.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-09-30 02:27:34 EDT
gluster-block-0.2.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.